Subject: Re: [nfsv4] SRV Protocol wording suggestions?

From: "Everhart, Craig" <[email-masked]>
Date: Thu, 8 Mar 2012 19:01:34 +0000

I have one addition, definitely stating what I think we agreed last October about UDP with NFSv4.  Is the following text OK?

The Protocol name used is "_tcp", for NFS service
   over TCP.  Future NFS services using other protocols MUST use another
   Protocol name.  The "_udp" label MUST NOT be used to imply use of UDP
   with NFSv4, as neither RFC 3530 [RFC3530] nor RFC 5661 [RFC5661]
   defines NFSv4 over UDP.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Everhart, Craig
Sent: Tuesday, February 28, 2012 1:38 PM
To: [email-masked]
Subject: [nfsv4] SRV Protocol wording suggestions?

Positing that NFSv4 is defined for TCP, and that someday there might be an SCTP definition but there certainly isn't today.

The only defined values for a Protocol in the SRV record are "_tcp" and "_udp", with the apparently-understood semantics that "_tcp" is used to describe a service reachable via TCP and "_udp" means a service reachable over anything else (i.e., SCTP, should it ever come to pass).

Does anybody have a problem with the following text, for the SRV document about NFS access to a published domain root?

The Protocol name used is "_tcp", for NFS service over TCP.  Future NFS services using other protocols
MUST use another Protocol label.

                                Craig

---

From: <[email-masked]>
Date: Thu, 8 Mar 2012 14:15:01 -0500

Craig's new text is definitely an improvement.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

From: [email-masked] [mailto:[email-masked]] On Behalf Of Everhart, Craig
Sent: Thursday, March 08, 2012 2:02 PM
To: Everhart, Craig; [email-masked]
Subject: Re: [nfsv4] SRV Protocol wording suggestions?

                                Craig

---

From: <[email-masked]>
Date: Thu, 8 Mar 2012 14:17:27 -0500

Craig,

Also, since the "_nfs" service name is no longer being used, the following sentence should probably be deleted:

      The "_nfs" Service name is not limited to

      NFSv4; it is possible to use that prefix in naming additional

      Services (and their SRV records) that are also applicable to other

      versions of NFS (e.g., NFSv3 [RFC1813].

Thanks,
--David

                                Craig